=== micropython-1.12/examples/natmod/uheapq/Makefile ===
# Location of top-level MicroPython directory
MPY_DIR = ../../..

# Name of module (different to built-in uheapq so it can coexist)
MOD = uheapq_$(ARCH)

# Source files (.c or .py)
SRC = uheapq.c

# Architecture to build for (x86, x64, armv7m, xtensa, xtensawin)
ARCH = x64

include $(MPY_DIR)/py/dynruntime.mk
