## giac 1.2.3.25+dfsg1

=== debian/changelog ===
giac (1.2.3.25+dfsg1-2) unstable; urgency=medium

  * Fix arch-dep builds. (Closes: #855076)

 -- Ximin Luo <infinity0@debian.org>  Wed, 15 Feb 2017 20:15:55 +0100

giac (1.2.3.25+dfsg1-1) unstable; urgency=low

  [ Gilles Filippini ]
  * Initial release.

  [ Ximin Luo ]
  * New upstream release. (Closes: #783975)

 -- Ximin Luo <infinity0@debian.org>  Sun, 12 Feb 2017 16:47:53 +0100
