=== debian/control ===
Source: giac
Section: science
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ximin Luo <infinity0@debian.org>, Gilles Filippini <pini@debian.org>
Build-Depends:
 debhelper (>= 10),
 dh-autoreconf,
 automake,
 bison,
 flex,
 libtool,
 libgl2ps-dev,
 libgmp3-dev,
 libgsl0-dev,
 libntl-dev,
 libmpfr-dev,
 libmpfi-dev,
 libpari-dev,
 libreadline-dev,
 zlib1g-dev,
 libfltk1.3-dev,
 libfontconfig1-dev,
 libglu1-mesa-dev,
 libjpeg-dev,
 libpng-dev,
 libxext-dev,
 libxft-dev,
 libxinerama-dev,
 hevea <!nodoc>,
 imagemagick <!nodoc>,
 latex2html <!nodoc>,
 libjs-codemirror <!nodoc>,
 libjs-mathjax <!nodoc>,
 texinfo <!nodoc>,
 texlive-binaries <!nodoc>,
 texlive-font-utils <!nodoc>,
 texlive-math-extra <!nodoc>,
 texlive-pstricks <!nodoc>,
 texlive-lang-all <!nodoc>,
 texlive-latex-recommended <!nodoc>,
 xauth <!nodoc>,
 xvfb <!nodoc>,
Standards-Version: 3.9.8
Homepage: http://www-fourier.ujf-grenoble.fr/~parisse/giac.html
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/giac.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/giac.git

Package: libgiac0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: giac-doc
Description: Computer Algebra System C++ library
 Giac is a computer algebra system, following the development of the CAS for HP
 calculators. It has fast implementation of algorithms for polynomial
 operations, and compatibility mode with Maple or Mupad CAS as well as TI
 calculators.
 .
 This package contains the shared libraries needed to run programs using giac.

Package: libgiac-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends}
Description: Computer Algebra System C++ library - Development files
 Giac is a computer algebra system, following the development of the CAS for HP
 calculators. It has fast implementation of algorithms for polynomial
 operations, and compatibility mode with Maple or Mupad CAS as well as TI
 calculators.
 .
 This package contains the header files, static libraries, and other
 development files needed to build software that uses giac.

Package: xcas
Architecture: any
Multi-Arch: allowed
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Suggests: giac-doc,
# xcas calls system() in quite a bunch of places for optional behaviour
 hevea,
 imagemagick,
 kbd,
 netpbm,
 texlive-binaries,
 texlive-latex-base,
 wget,
 xterm,
Description: Computer Algebra System - console and graphical calculator
 Giac is a computer algebra system, following the development of the CAS for HP
 calculators. It has fast implementation of algorithms for polynomial
 operations, and compatibility mode with Maple or Mupad CAS as well as TI
 calculators.
 .
 This package contains the user-facing giac programs: xcas, icas, and pgiac;
 as well as the cas_help program for providing user-oriented help.

Package: giac-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}, libjs-codemirror, libjs-mathjax, xcas
Description: Computer Algebra System - documentation
 Giac is a computer algebra system, following the development of the CAS for HP
 calculators. It has fast implementation of algorithms for polynomial
 operations, and compatibility mode with Maple or Mupad CAS as well as TI
 calculators.
 .
 This package contains static user documentation for giac and xcas.
