## giac 1.2.3.57+dfsg1

=== debian/changelog ===
giac (1.2.3.57+dfsg1-2build3) bionic; urgency=medium

  * No-change rebuild for mpfr soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 25 Jan 2018 03:31:17 +0100

giac (1.2.3.57+dfsg1-2build2) bionic; urgency=medium

  * No-change rebuild against libgl2ps1.4

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 11 Nov 2017 06:27:08 +0000

giac (1.2.3.57+dfsg1-2build1) artful; urgency=medium

  * No-change rebuild for libgsl soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Aug 2017 00:10:15 +0000

giac (1.2.3.57+dfsg1-2) unstable; urgency=medium

  * Fix shell syntax typo, fixes the doc build.

 -- Ximin Luo <infinity0@debian.org>  Fri, 21 Jul 2017 20:58:30 +0200

giac (1.2.3.57+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Fix build for machines that have 48-bit virtual addresses. Thanks to Edmund
    Grimley Evans for all his help on this and other issues. (Closes: #855078)

 -- Ximin Luo <infinity0@debian.org>  Fri, 21 Jul 2017 18:19:26 +0200

giac (1.2.3.53+dfsg1-2) unstable; urgency=medium

  * Output test log after a failed test run, to investigate a ppc64el build
    failure that isn't reproducible on porterboxes.

 -- Ximin Luo <infinity0@debian.org>  Tue, 27 Jun 2017 15:19:07 +0200

giac (1.2.3.53+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Bump to latest Standards-Version; no changes required.

 -- Ximin Luo <infinity0@debian.org>  Tue, 27 Jun 2017 13:00:38 +0200

giac (1.2.3.25+dfsg1-4) unstable; urgency=medium

  * Split arch-dependent vs -independent builds to try to avoid failures
    building the documentation on some architectures.

 -- Ximin Luo <infinity0@debian.org>  Tue, 20 Jun 2017 20:35:32 +0200

giac (1.2.3.25+dfsg1-3) unstable; urgency=medium

  * Add missing depends from libgiac-dev on libgiac0. (Closes: #856949)

 -- Ximin Luo <infinity0@debian.org>  Sat, 11 Mar 2017 17:33:52 +0100
