=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: giac
 Section: science
 Priority: extra
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ximin Luo <infinity0@debian.org>, Gilles Filippini <pini@debian.org>
 Build-Depends:
  debhelper (>= 10),
@@ -12,7 +13,7 @@
  libtool,
  libgl2ps-dev,
  libgmp3-dev,
- libgsl0-dev,
+ libgsl-dev,
  libntl-dev,
  libmpfr-dev,
  libmpfi-dev,
@@ -27,6 +28,7 @@
  libxext-dev,
  libxft-dev,
  libxinerama-dev,
+Build-Depends-Indep:
  hevea <!nodoc>,
  imagemagick <!nodoc>,
  latex2html <!nodoc>,
@@ -35,13 +37,13 @@
  texinfo <!nodoc>,
  texlive-binaries <!nodoc>,
  texlive-font-utils <!nodoc>,
- texlive-math-extra <!nodoc>,
+ texlive-science <!nodoc>,
  texlive-pstricks <!nodoc>,
  texlive-lang-all <!nodoc>,
  texlive-latex-recommended <!nodoc>,
  xauth <!nodoc>,
  xvfb <!nodoc>,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://www-fourier.ujf-grenoble.fr/~parisse/giac.html
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/giac.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/giac.git
@@ -63,7 +65,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, libgiac0 (= ${binary:Version})
 Description: Computer Algebra System C++ library - Development files
  Giac is a computer algebra system, following the development of the CAS for HP
  calculators. It has fast implementation of algorithms for polynomial
