## giac 1.4.9.69+dfsg1

=== debian/changelog ===
giac (1.4.9.69+dfsg1-2) unstable; urgency=medium

  * Also patch the test output.

 -- Ximin Luo <infinity0@debian.org>  Wed, 05 Sep 2018 21:45:13 -0700

giac (1.4.9.69+dfsg1-1) unstable; urgency=medium

  * Upload to unstable.
  * Make sure xcas uses the same version of libgiac0.
  * Recommend that xcas-doc uses the same version of xcas.
  * Use HTTPS urls in various parts of the packaging.
  * Work around hanging test chk_cas on armhf.

 -- Ximin Luo <infinity0@debian.org>  Wed, 05 Sep 2018 21:31:11 -0700

giac (1.4.9.69+dfsg1-1~exp2) experimental; urgency=medium

  * Move texinfo into Build-Depends since it's needed in the arch:any build.
  * Document why we exclude certain upstream files from the orig tarball.

 -- Ximin Luo <infinity0@debian.org>  Fri, 03 Aug 2018 00:39:39 -0700

giac (1.4.9.69+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Thu, 02 Aug 2018 02:33:00 -0700
