=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: giac
 Section: science
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ximin Luo <infinity0@debian.org>, Gilles Filippini <pini@debian.org>
 Build-Depends:
  debhelper (>= 10),
  dh-autoreconf,
  automake,
+ patch,
  bison,
  flex,
  libtool,
@@ -28,13 +28,14 @@
  libxext-dev,
  libxft-dev,
  libxinerama-dev,
+# for the info pages in arch-specific packages
+ texinfo,
 Build-Depends-Indep:
  hevea <!nodoc>,
  imagemagick <!nodoc>,
  latex2html <!nodoc>,
  libjs-codemirror <!nodoc>,
  libjs-mathjax <!nodoc>,
- texinfo <!nodoc>,
  texlive-binaries <!nodoc>,
  texlive-font-utils <!nodoc>,
  texlive-science <!nodoc>,
@@ -44,9 +45,9 @@
  xauth <!nodoc>,
  xvfb <!nodoc>,
 Standards-Version: 4.0.0
-Homepage: http://www-fourier.ujf-grenoble.fr/~parisse/giac.html
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/giac.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/giac.git
+Homepage: https://www-fourier.ujf-grenoble.fr/~parisse/giac.html
+Vcs-Browser: https://salsa.debian.org/science-team/giac
+Vcs-Git: https://salsa.debian.org/science-team/giac.git
 
 Package: libgiac0
 Architecture: any
@@ -78,7 +79,7 @@
 Package: xcas
 Architecture: any
 Multi-Arch: allowed
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, libgiac0 (= ${binary:Version})
 Suggests: giac-doc,
 # xcas calls system() in quite a bunch of places for optional behaviour
  hevea,
@@ -103,6 +104,7 @@
 Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}, libjs-codemirror, libjs-mathjax, xcas
+Recommends: xcas (= ${binary:Version})
 Description: Computer Algebra System - documentation
  Giac is a computer algebra system, following the development of the CAS for HP
  calculators. It has fast implementation of algorithms for polynomial
