=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,13 @@
 
 %:
 	dh "$@" --with autoreconf
+
+# This helps (makes some tests pass on big endian architectures)
+# but it's not enough, there are still segfaults to fix.
+# See http://xcas.e.ujf-grenoble.fr/XCAS/viewtopic.php?f=3&t=1874
+ifeq ($(DEB_HOST_ARCH_ENDIAN),big)
+export DEB_CPPFLAGS_MAINT_APPEND  = -DDOUBLEVAL
+endif
 
 # Use ccache if pkg.giac.ccache build-profile is active.
 # Your rebuilds will be *much quicker*.
@@ -25,7 +32,7 @@
 	cp debian/giac.js doc/giac.js
 # Deal with french documentation
 	cp -a debian/upstream-doc-fr doc/fr
-	mv doc/fr/Makefile.am.Debian doc/fr/Makefile.am
+	cp doc/fr/Makefile.am.Debian doc/fr/Makefile.am
 # Actually configure
 	dh_autoreconf
 
@@ -37,6 +44,9 @@
 	dh_auto_build -a -D doc -- info
 
 override_dh_auto_test-arch:
+	cp check/TP16-sol.cas.out1 check/TP16-sol.cas.out2
+	cp check/integrate.out check/integrate.out2
+	patch -p1 < debian/patches/test-fixes-data.patch
 	dh_auto_test -a -D check -- VERBOSE=1
 
 override_dh_auto_test-indep:
@@ -54,7 +64,10 @@
 override_dh_install:
 	rm -f debian/tmp/usr/lib/*/libgiac.la
 	rm -f debian/tmp/usr/include/giac/config.h
-	dh_install --fail-missing
+	dh_install
+
+override_dh_missing:
+	dh_missing --fail-missing
 
 override_dh_fixperms-indep:
 	dh_fixperms
