## giac 1.5.0.85%2Bdfsg1

=== debian/rules ===
--- 
+++ 
@@ -8,9 +8,9 @@
 
 # This helps (makes some tests pass on big endian architectures)
 # but it's not enough, there are still segfaults to fix.
-# See http://xcas.e.ujf-grenoble.fr/XCAS/viewtopic.php?f=3&t=1874
+# See http://xcas.univ-grenoble-alpes.fr/forum/viewtopic.php?f=3&t=1874
 ifeq ($(DEB_HOST_ARCH_ENDIAN),big)
-export DEB_CPPFLAGS_MAINT_APPEND  = -DDOUBLEVAL
+export DEB_CPPFLAGS_MAINT_APPEND  = -DDOUBLEVAL -DBIGENDIAN
 endif
 
 # Use ccache if pkg.giac.ccache build-profile is active.
@@ -44,9 +44,6 @@
 	dh_auto_build -a -D doc -- info
 
 override_dh_auto_test-arch:
-	cp check/TP16-sol.cas.out1 check/TP16-sol.cas.out2
-	cp check/integrate.out check/integrate.out2
-	patch -p1 < debian/patches/test-fixes-data.patch
 	dh_auto_test -a -D check -- VERBOSE=1
 
 override_dh_auto_test-indep:
