## giac 1.5.0.85+dfsg1

=== debian/changelog ===
giac (1.5.0.85+dfsg1-3) unstable; urgency=medium

  * Rename fix_S390_numerical_noise to fix_bigendian_numerical_noise,
    and use it on all bigendian.
  * Change forum links to new uri following university name change.
  * Drop patch to workaround hevea bugs (now useless).
  * Improve the patch to disable GBASIS_SWAP only on bigendian.
  * Unify the various fixes on checks so it can be proposed upstream.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 13 Feb 2020 14:12:23 +0100

giac (1.5.0.85+dfsg1-2) unstable; urgency=medium

  * Update B.Parisse's email adress (the university changed name!).
  * Add patch to fix building the documentation on S390X.
  * Add patch to fix Groebner basis computation on S390X.
  * Add patch to fix numerical noise in checks on S390X.
  * Enable -DBIGENDIAN on big endian boxes.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 12 Feb 2020 17:59:17 +0100

giac (1.5.0.85+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh packaging:
    - Priority extra is now optional.
    - Quote full text of BSD license in d/copyright
      (the /usr/share/common-licenses/ file is going away) 
    - Remove d/compat and use dh-compat 12. 
    - Bump std-ver to 4.5.0. 
    - Refreshed patches. 
    - Add fix_input_parser.patch to fix upstream's code. 
    - Refresh d/rules patches. 
  * Add myself to uploaders.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 22 Jan 2020 07:47:28 +0100
