=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: giac
 Section: science
-Priority: extra
+Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Ximin Luo <infinity0@debian.org>, Gilles Filippini <pini@debian.org>
+Uploaders: Ximin Luo <infinity0@debian.org>, Gilles Filippini <pini@debian.org>, Julien Puydt <jpuydt@debian.org>
 Build-Depends:
- debhelper (>= 10),
- dh-autoreconf,
+ debhelper-compat (= 12),
  automake,
  patch,
  bison,
@@ -44,7 +43,7 @@
  texlive-latex-recommended <!nodoc>,
  xauth <!nodoc>,
  xvfb <!nodoc>,
-Standards-Version: 4.0.0
+Standards-Version: 4.5.0
 Homepage: https://www-fourier.ujf-grenoble.fr/~parisse/giac.html
 Vcs-Browser: https://salsa.debian.org/science-team/giac
 Vcs-Git: https://salsa.debian.org/science-team/giac.git
