## giac 1.5.0.87+dfsg1

=== debian/changelog ===
giac (1.5.0.87+dfsg1-7) unstable; urgency=medium

  * Really upload to unstable.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 31 May 2020 13:00:08 +0200

giac (1.5.0.87+dfsg1-6) experimental; urgency=medium

  * Uploading to unstable : the experimental pari code is
  accepted upstream, will be in the next official version,
  and fixes an armhf issue. (Closes: #961122)

 -- Julien Puydt <jpuydt@debian.org>  Sun, 31 May 2020 10:33:10 +0200

giac (1.5.0.87+dfsg1-5) experimental; urgency=medium

  * Set the date to the last update in algo.tex so its build becomes
  reproducible.
  * Use experimental pari code to fix locking issues with pari.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 27 May 2020 07:45:47 +0200

giac (1.5.0.87+dfsg1-4) unstable; urgency=medium

  * Add patch to deal correctly with the bigendian situation.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 04 Mar 2020 08:18:55 +0100

giac (1.5.0.87+dfsg1-3) unstable; urgency=medium

  * Re-add code for bigendian in d/rules : not good
   enough yet.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 03 Mar 2020 08:34:07 +0100

giac (1.5.0.87+dfsg1-2) unstable; urgency=medium

  * Remove code for bigendian in d/rules : upstream does it now.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 01 Mar 2020 12:47:28 +0100

giac (1.5.0.87+dfsg1-1) unstable; urgency=medium

  * Update excluded files in d/copyright.
  * New upstream release 1.5.0.87.
  * Drop many patches, update remaining ones.
  * Refresh d/uptream-doc-fr/algo.tex from upstream.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 28 Feb 2020 11:01:14 +0100
