=== debian/rules ===
--- 
+++ 
@@ -5,13 +5,6 @@
 
 %:
 	dh "$@" --with autoreconf
-
-# This helps (makes some tests pass on big endian architectures)
-# but it's not enough, there are still segfaults to fix.
-# See http://xcas.univ-grenoble-alpes.fr/forum/viewtopic.php?f=3&t=1874
-ifeq ($(DEB_HOST_ARCH_ENDIAN),big)
-export DEB_CPPFLAGS_MAINT_APPEND  = -DDOUBLEVAL -DBIGENDIAN
-endif
 
 # Use ccache if pkg.giac.ccache build-profile is active.
 # Your rebuilds will be *much quicker*.
@@ -26,6 +19,8 @@
 export HOME=/nonexistent
 
 override_dh_autoreconf:
+# Use experimental pari code
+	cp debian/pari.cc src/
 # Deal with embedded stuff
 	find doc/ -maxdepth 1 -type d -exec ln -sf /usr/share/texmf/tex/texinfo/texinfo.tex '{}/' \;
 # Deal with emscripten placeholder
