## giac 1.6.0.41+dfsg1

=== debian/changelog ===
giac (1.6.0.41+dfsg1-1) unstable; urgency=medium

  * Unmark -dev as Multi-Arch: same following hinter.
  * Run wrap-and-sort for cleaner files.
  * Add missing deps for the -dev package. (Closes: #976067)
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 19 Dec 2020 15:42:07 +0100

giac (1.6.0.31+dfsg1-1) unstable; urgency=medium

  * Drop the larger_pari_mem_size patch (upstreamed).
  * Bump std-vers to 4.5.1.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 22 Nov 2020 21:46:42 +0100

giac (1.6.0.25+dfsg1-3) unstable; urgency=medium

  * Mark the actually supported architectures. (Closes: #855080, #855081)
  * Add patch larger_pari_mem_size to avoid segfaults.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 03 Nov 2020 08:57:20 +0100

giac (1.6.0.25+dfsg1-2) unstable; urgency=medium

  * Install config.h. (Closes: #972827)

 -- Julien Puydt <jpuydt@debian.org>  Mon, 26 Oct 2020 16:44:10 +0100

giac (1.6.0.25+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 11 Oct 2020 09:40:52 +0200

giac (1.6.0.23+dfsg1-2) unstable; urgency=medium

  * Add missing b-dep on python3.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 20 Sep 2020 10:55:49 +0200

giac (1.6.0.23+dfsg1-1) unstable; urgency=medium

  * Update the files excluded list before importing a newer version (hence
   dropping again to dfsg1).
  * New upstream release.
  * Refresh patches.
  * Don't fix the encoding of index files.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 18 Sep 2020 08:49:51 +0200

giac (1.6.0.17+dfsg2-1) unstable; urgency=medium

  * Package new upstream release.
  * Drop the patch to unbreak 32 bits architectures (upstreamed).
  * Drop the patch to force defining DOUBLEVAL on bigendian (upstreamed).
  * Refresh the other patches.
  * Update the files excluded list and associated patch (bump to dfsg2).
  * Update lintian overrides.
  * Update the list of files needing transcoding to unicode.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 14 Sep 2020 17:34:26 +0200

giac (1.6.0.7+dfsg1-2) unstable; urgency=medium

  * Add patch to unbreak 32bits (given by upstream, will
  be in next official).

 -- Julien Puydt <jpuydt@debian.org>  Mon, 13 Jul 2020 21:27:17 +0200

giac (1.6.0.7+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Document split-build-install.patch.
  * Document u-version-pari-2.11.patch.
  * Update the team mailing list address.
  * Remove trailing whitespaces in d/changelog.
  * Drop experimental pari code (upstreamed).
  * Document that rules doesn't require root.
  * Update section for the libgiac0 package.
  * Fix typo in manpage.
  * Bump dh compat to 13.
  * Add workaround for badly encoded files.
  * Add patch to fix typos both in the code and user-text.
  * Drop copyright for an excluded file.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 12 Jul 2020 09:15:43 +0200
