=== debian/rules ===
--- 
+++ 
@@ -19,8 +19,6 @@
 export HOME=/nonexistent
 
 override_dh_autoreconf:
-# Use experimental pari code
-	cp debian/pari.cc src/
 # Deal with embedded stuff
 	find doc/ -maxdepth 1 -type d -exec ln -sf /usr/share/texmf/tex/texinfo/texinfo.tex '{}/' \;
 # Deal with emscripten placeholder
@@ -33,6 +31,7 @@
 
 override_dh_auto_build-arch:
 # Should be the same order as SUBDIRS in Makefile.am
+	dh_auto_build -a -D micropython-1.12
 	dh_auto_build -a -D src
 	dh_auto_build -a -D intl
 	dh_auto_build -a -D po
@@ -53,7 +52,7 @@
 	  install-info install-dist_pkgdataDATA
 	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install-exec-hook
 
-override_dh_install:
+override_dh_install: fix_encoding
 	rm -f debian/tmp/usr/lib/*/libgiac.la
 	rm -f debian/tmp/usr/include/giac/config.h
 	dh_install
@@ -66,3 +65,23 @@
 	find debian/giac-doc/usr/share/giac/examples/ \
 	  \( -name '*.cas' -o -name '*.xws' -o -name '*.cxx' \) -exec chmod -x '{}' \;
 	chmod -x debian/giac-doc/usr/share/giac/examples/lewisw/*_?var
+
+ENCODING_FILES = \
+	/usr/share/giac/doc/en/casinter/casinter001.html \
+	/usr/share/giac/doc/en/casinter/casinter002.html \
+	/usr/share/giac/doc/en/casinter/casinter004.html \
+	/usr/share/giac/doc/en/casinter/casinter005.html \
+	/usr/share/giac/doc/en/casinter/casinter006.html \
+	/usr/share/giac/doc/en/casinter/index.html \
+	/usr/share/giac/examples/arit/codage.cas \
+	/usr/share/giac/examples/demo/e05.tex \
+	/usr/share/giac/examples/geo/geo2 \
+	/usr/include/giac/monomial.h \
+	/usr/include/giac/poly.h \
+	/usr/include/giac/prog.h
+
+fix_encoding:
+	for toto in $(ENCODING_FILES); do \
+		iconv -f iso-8859-15 -t utf-8 debian/tmp$$toto > debian/tmp$$toto.fix ; \
+		mv debian/tmp$$toto.fix debian/tmp$$toto ; \
+	done
