## giac 1.7.0.39%2Bdfsg2

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: giac
 Section: science
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@alioth-lists.debian.net>
 Uploaders: Ximin Luo <infinity0@debian.org>,
            Gilles Filippini <pini@debian.org>,
            Julien Puydt <jpuydt@debian.org>
@@ -43,7 +44,7 @@
                      texlive-science <!nodoc>,
                      xauth <!nodoc>,
                      xvfb <!nodoc>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://www-fourier.ujf-grenoble.fr/~parisse/giac.html
 Vcs-Browser: https://salsa.debian.org/science-team/giac
@@ -112,7 +113,7 @@
 Architecture: all
 Multi-Arch: foreign
 Section: doc
-Depends: libjs-codemirror, libjs-mathjax, xcas, ${misc:Depends}
+Depends: libjs-codemirror, libjs-mathjax, xcas:any, ${misc:Depends}
 Recommends: xcas (= ${binary:Version})
 Description: Computer Algebra System - documentation
  Giac is a computer algebra system, following the development of the CAS for HP
