=== debian/changelog ===
giac (1.7.0.39+dfsg2-1build2) jammy; urgency=medium

  * No-change rebuild against libgsl27

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 07 Dec 2021 17:31:19 +0000

giac (1.7.0.39+dfsg2-1build1) jammy; urgency=medium

  * No-change rebuild against libntl44

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 08 Nov 2021 19:06:23 +0000

giac (1.7.0.39+dfsg2-1) unstable; urgency=medium

  * New upstream release.
  * Try to make the build reproducible.
  * Annotate giac-doc's dependency on xcas with :any following hinter.
  * Refresh patches.
  * Don't put mkjs.cc in Files-Excluded in d/copyright.
  * Add fix_gcc11.patch to fix compilation.
  * Bump standards-version to 4.6.0.
  * Drop now-unneeded magic for build-reproducibility in d/rules.
  * Add a patch to avoid building the dvi and ps files.
  * Drop the fr documentation (broken upstream).
  * Install the xcas.metainfo.xml file.
  * Update d/copyright and lintian overrides.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 03 Nov 2021 11:47:51 +0100
